Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.extension
Class JifThrowDel

    java.lang.Object
      polyglot.ext.jl.ast.Ext_c
          polyglot.ext.jl.ast.JL_c
              jif.extension.JifJL_c
                  jif.extension.JifThrowDel

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Ext, polyglot.ast.JL, polyglot.ast.NodeOps, polyglot.util.Copy

    public class JifThrowDel

extends JifJL_c

Jif extension of the `Throw` node.

See Also:
  `Throw`

Field Summary

Fields inherited from class polyglot.ext.jl.ast.Ext_c
`ext, node`

Constructor Summary
`JifThrowDel()`

Method Summary
`void` | `setThrownIsNeverNull()`
`java.util.List` | `throwTypes(polyglot.types.TypeSystem ts)` List of Types of exceptions that might get thrown.

Methods inherited from class jif.extension.JifJL_c
`buildTypes, translate`

Methods inherited from class polyglot.ext.jl.ast.JL_c
`addDecls, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, jl, prettyPrint, prettyPrint, prettyPrint, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from class polyglot.ext.jl.ast.Ext_c
`copy, dump, ext, ext, init, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifThrowDel

    public JifThrowDel()

Method Detail

### setThrownIsNeverNull

    public void setThrownIsNeverNull()

### throwTypes

    public java.util.List throwTypes(polyglot.types.TypeSystem ts)

  List of Types of exceptions that might get thrown. This differs from the method defined in Throw_c in that it does not throw a null pointer exception if the thrown object is guaranteed to be non-null

  Specified by:
    `throwTypes` in interface `polyglot.ast.NodeOps`
  Overrides:
    `throwTypes` in class `polyglot.ext.jl.ast.JL_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD